import {httpApi} from "../../request/httpApi";

export default {
    //获取项目列表
    async getProjectList(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/projectInfo/page',
            method: 'get',
            params: form
        }, msg);
    },
    //获取项目类型字典
    async getProjectTypeDict(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/projectInfo/getProjectTypeDict',
            method: 'get',
            params: form
        }, msg);
    },
    //获取项目服务类型字典
    async getProjectServerTypeDict(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/projectInfo/getProjectServerTypeDict',
            method: 'get',
            params: form
        }, msg);
    },
    //获取项目详情
    async getProjectInfoById(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/projectInfo/getProjectInfoById',
            method: 'get',
            params: form
        }, msg);
    },
    //新增项目
    async addProjectInfo(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/projectInfo/addProjectInfo',
            method: 'post',
            data: form
        }, msg);
    },
    //修改项目
    async updateProjectInfo(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/projectInfo/updateProjectInfo',
            method: 'post',
            data: form
        }, msg);
    },
    //新增获取项目进程
    async getBaseProcess(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/projectProcess/getBaseProcess',
            method: 'get',
            params: form
        }, msg);
    },
    //删除项目
    async removeProjectInfo(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/projectInfo/removeProjectInfo',
            method: 'get',
            params: form
        }, msg);
    },
}
